# TdApi.StickerEmojis

Package it.ernytech.tdlib

## Class TdApi.StickerEmojis

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.StickerEmojis

Enclosing class:
  TdApi

    public static class TdApi.StickerEmojis
    extends TdApi.Object

Represents a list of all emoji corresponding to a sticker in a sticker set. The list is only for informational purposes, because a sticker is always sent with a fixed emoji from the corresponding Sticker object.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String[]` `emojis` List of emojis.

### Constructor Summary

Constructors
`StickerEmojis()` Default constructor.
`StickerEmojis​(java.lang.String[] emojis)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### emojis

    public java.lang.String[] emojis

List of emojis.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### StickerEmojis

    public StickerEmojis()

Default constructor.

#### StickerEmojis

    public StickerEmojis​(java.lang.String[] emojis)

Constructor for initialization of all fields.

Parameters:
  `emojis` - List of emojis.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR